local ggsTrading = ...

-- This file sets the trading values for Davenport.  

-- It is fairly self explanatory.   If you would like them to buy/sell the full quantity every time, set ReplenishingAmount to the same as the Quantity in ResourceMaxAmount.   A ResourceTradingReplenishDelay of 0.5 should have them replenish after every single visit.  Raising this will make them replenish LESS often.  Max value is 1.0.

ggsTrading:log("Rebalancing Village of Davenport...")

ggsTrading:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_DAVENPORT",
    VillageName = "Davenport",
    UnlockCost = {
        { Resource = "FISH", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "FISH", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 7 }
        },
        {
            ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 }
        },
        {
            ResourceMaxAmount = { Resource = "HONEY", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 }
        },
        {
            ResourceMaxAmount = { Resource = "BARREL", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "GRAPES", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 },
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 }
		},
		{
			ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 }
		},
		{
			ResourceMaxAmount = { Resource = "SWORD", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 38 }
		},
		{
			ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 }
		}
    },
    Allegeance = "KINGDOM"
})
