local ggsTrading = ...

-- This file sets the trading values for Glenford.  

-- It is fairly self explanatory.   If you would like them to buy/sell the full quantity every time, set ReplenishingAmount to the same as the Quantity in ResourceMaxAmount.   A ResourceTradingReplenishDelay of 0.5 should have them replenish after every single visit.  Raising this will make them replenish LESS often.  Max value is 1.0.

ggsTrading:log("Adding Village of Glenford...")

ggsTrading:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_GLENFORD",
    VillageName = "Glenford",
    UnlockCost = {
        { Resource = "BREAD", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "CHEESE", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BEER", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BOAR", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 40 }
        },
        {
            ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 7 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "MILK", Quantity = 100 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 },
		},
		{
			ResourceMaxAmount = { Resource = "CHEESE", Quantity = 100 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 }
		},
		{
			ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 100 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 225 }
		},
		{
			ResourceMaxAmount = { Resource = "HOP", Quantity = 100 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 }
		},
		{
			ResourceMaxAmount = { Resource = "WOOL", Quantity = 100 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 }
		}
    },
    Allegeance = "KINGDOM"
})
