local ggsTrading = ...

-- This file sets the trading values for Myddle.  

-- It is fairly self explanatory.   If you would like them to buy/sell the full quantity every time, set ReplenishingAmount to the same as the Quantity in ResourceMaxAmount.   A ResourceTradingReplenishDelay of 0.5 should have them replenish after every single visit.  Raising this will make them replenish LESS often.  Max value is 1.0.

ggsTrading:log("Rebalancing Village of Myddle...")

ggsTrading:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_MYDDLE",
    VillageName = "Myddle",
    UnlockCost = {
        { Resource = "CLOTHES", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BREAD", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 }
        },
        {
            ResourceMaxAmount = { Resource = "TOOL", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 }
        },
        {
            ResourceMaxAmount = { Resource = "SWORD", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 38 }
        },
        {
            ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 225 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "COAL", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 },
		},
		{
			ResourceMaxAmount = { Resource = "IRON", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 }
		},
		{
			ResourceMaxAmount = { Resource = "IRON_ORE", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 }
		},
		{
			ResourceMaxAmount = { Resource = "WINE", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 150 }
		},
		{
			ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 }
		}
    },
    Allegeance = "CLERGY"
})
