local ggsTrading = ...

-- This file sets the trading values for Northbury.  

-- It is fairly self explanatory.   If you would like them to buy/sell the full quantity every time, set ReplenishingAmount to the same as the Quantity in ResourceMaxAmount.   A ResourceTradingReplenishDelay of 0.5 should have them replenish after every single visit.  Raising this will make them replenish LESS often.  Max value is 1.0.


ggsTrading:log("Rebalancing Village of Northbury...")

ggsTrading:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_NORTHBURY",
    VillageName = "Northbury",
    UnlockCost = {
        { Resource = "PLANK", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BERRIES", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 }
        },
        {
            ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 9 }
        },
        {
            ResourceMaxAmount = { Resource = "PLANK", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 }
        },
        {
            ResourceMaxAmount = { Resource = "WINE", Quantity = 50 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD_COINS", Quantity = 150 }
        }
    },
    SellingResourceList={
		{
			ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 7 }
		},
		{
			ResourceMaxAmount = { Resource = "GLASS", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 }
		},
		{
			ResourceMaxAmount = { Resource = "TOOL", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 }
		},
		{
			ResourceMaxAmount = { Resource = "BARREL", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 }
		},
		{
			ResourceMaxAmount = { Resource = "FISH", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD_COINS", Quantity = 7 }
		}
    },
    Allegeance = "LABOUR"
})
